Description

Hi. I tried mentioning this in IRC but there was no-one around. Possibly not the place for a feature but here goes.

There needs to be a section on the end of this page detailing how to setup mongrel_rails to run on reboot.

http://www.redmine.org/wiki/redmine/RedmineInstall

IMHO the easiest way is either by 'monit' or preferably http://god.rubyforge.org/

Being new to centos (steep learing curve to write own /etc/init.d/redmine scripts) and rails apps I believe this would enhance the

documentation greatly.

If you would like someone to write it then please feel free to contact me. I would be happy to do so.

History

#1 - 2008-08-10 10:58 - James Turnbull

Why not just write it - post a link to it here and they can include it in the wiki?

#2 - 2008-08-11 11:16 - Christian Bryn

Hi,

following the install instructions will not result in a production ready setup in any case - webbrick is only intended for testing/development, and seeing

as Ruby is not thread safe a cluster of daemons handling requests need to be set up. I suggest adding pointers on how to set up

mongrel_cluster...there are a lot of good guides around. In turn, I use a general mongrel_cluster init script found on the web to make sure Redmine is

started upon boot.

I'd say adding instructions for monit/god/(nagios) is a bit out of scope, while init scripts and such should be included as this is something anyone

setting up Redmine for actual use will have to look into. For this same reason the instructions could easily suggest a preferred setup in regard to

proxy/load balancing in front - again, anyone setting up a proper Redmine solution would have to read up on using apache mod_proxy_balancer,

nginx, lighttpd or similar... (and decide what's 'best').

If an init script for the basic webbrick daemon is of interest, I'd be happy to write one...

Best regards,

Christian :--)

#3 - 2008-10-14 23:26 - Javier Barroso

Christian Bryn said:

"following the install instructions will not result in a production ready setup in any case - webbrick is only intended for testing/development"

Well,does anyone know how many concurrent users/projects support redmine running with webbrick ?

Finally, is mongrel_cluster the best option to put redmine in production (with ~200 users) ?

Which requeriments (memory and disk) should to have the redmine server?

Any point ?

Thank you!

#4 - 2008-10-15 15:55 - Jack Christensen

I'd recommend mod_rails/passenger and apache2. It's probably the simplest way to set it up.

2025-05-02 1/2

http://www.redmine.org/wiki/redmine/RedmineInstall
http://god.rubyforge.org/


#5 - 2010-09-07 09:05 - Azamat Hackimov

- Category changed from Documents to Documentation

#6 - 2013-05-06 23:00 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Wont fix

Closing it, very old issue. Thanks for your contribution nonetheless. There are now a lot of contributed pages describing howto's for installing on

various platforms with various setups. The official one doesn't focus on hosting things like mongrel/god/etc., it leaves all doors open.
